Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdClients.ClientInfoModel

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdClients.ClientInfoModel

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  cmdClients

    public static class cmdClients.ClientInfoModel
    extends java.lang.Object
    implements java.io.Serializable

Data Class for Clients Data

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdClients.ClientInfoModel.ItemState` | This type is used for table row color, in case of edit Item in table view
  `static class` | `cmdClients.ClientInfoModel.TypeTAXN` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ClientInfoModel​(int FIRM, java.lang.String name, java.lang.String EIK, cmdClients.ClientInfoModel.TypeTAXN typeTAXN, java.lang.String recName, java.lang.String VATN, java.lang.String addr1, java.lang.String addr2, cmdClients.ClientInfoModel.ItemState itemState)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAddr1()` |
  `java.lang.String` | `getAddr2()` |
  `java.lang.String` | `getEIK()` |
  `int` | `getFIRM()` |
  `java.lang.String` | `getName()` |
  `java.lang.String` | `getRecName()` |
  `cmdClients.ClientInfoModel.ItemState` | `getState()` |
  `cmdClients.ClientInfoModel.TypeTAXN` | `getTypeTAXN()` |
  `java.lang.String` | `getVATN()` |
  `void` | `setAddr1​(java.lang.String addr1)` |
  `void` | `setAddr2​(java.lang.String addr2)` |
  `void` | `setFIRM​(int FIRM)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setRecName​(java.lang.String recName)` |
  `void` | `setState​(cmdClients.ClientInfoModel.ItemState state)` |
  `void` | `setTAXN​(java.lang.String TAXN)` |
  `void` | `setTypeTAXN​(cmdClients.ClientInfoModel.TypeTAXN typeTAXN)` |
  `void` | `setVATN​(java.lang.String VATN)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClientInfoModel

    public ClientInfoModel​(int FIRM, java.lang.String name, java.lang.String EIK, cmdClients.ClientInfoModel.TypeTAXN typeTAXN, java.lang.String recName, java.lang.String VATN, java.lang.String addr1, java.lang.String addr2, cmdClients.ClientInfoModel.ItemState itemState)

- ## Method Details

  - ### getState

    public cmdClients.ClientInfoModel.ItemState getState()

  - ### setState

    public void setState​(cmdClients.ClientInfoModel.ItemState state)

  - ### getFIRM

    public int getFIRM()

  - ### setFIRM

    public void setFIRM​(int FIRM)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getEIK

    public java.lang.String getEIK()

  - ### setTAXN

    public void setTAXN​(java.lang.String TAXN)

  - ### getTypeTAXN

    public cmdClients.ClientInfoModel.TypeTAXN getTypeTAXN()

  - ### setTypeTAXN

    public void setTypeTAXN​(cmdClients.ClientInfoModel.TypeTAXN typeTAXN)

  - ### getRecName

    public java.lang.String getRecName()

  - ### setRecName

    public void setRecName​(java.lang.String recName)

  - ### getVATN

    public java.lang.String getVATN()

  - ### setVATN

    public void setVATN​(java.lang.String VATN)

  - ### getAddr1

    public java.lang.String getAddr1()

  - ### setAddr1

    public void setAddr1​(java.lang.String addr1)

  - ### getAddr2

    public java.lang.String getAddr2()

  - ### setAddr2

    public void setAddr2​(java.lang.String addr2)